> ## Documentation Index
> Fetch the complete documentation index at: https://docs.d-api.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Migrate a WhatsApp Web session using a one-time code



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/session-migration/migrate
openapi: 3.1.0
info:
  title: D-API - Infraestrutura WhatsApp Completa
  description: >-
    Solução escalável e robusta para gestores de automação, SaaS e usuários
    finais que precisam de uma integração WhatsApp confiável. Oferece múltiplas
    instâncias simultâneas, webhooks em tempo real, dashboard intuitivo e API
    REST documentada com 99.9% de uptime e latência inferior a 30ms.
  version: 1.2.1
  contact:
    name: Suporte D-API
    email: suporte@d-api.cloud
    url: https://d-api.cloud
servers:
  - url: https://api.d-api.cloud
    description: Produção
security:
  - ApiKeyAuth: []
tags:
  - name: Início
    description: Endpoints base
  - name: Sessões
    description: Endpoints para gerenciamento de sessões
  - name: Mensagens
    description: Endpoints para envio de mensagens
  - name: Cloud API
    description: >-
      WhatsApp API Oficial (Meta Cloud API): conexão manual, gestão de templates
      (listar/criar/excluir) e envio de templates.
  - name: Ligações URA
    description: >-
      Disparo de ligações de voz (URA): individual ou em massa, com áudio ou
      fluxo IVR.
  - name: SMS
    description: 'Envio de SMS: individual ou em massa.'
paths:
  /api/v1/session-migration/migrate:
    post:
      tags:
        - Migração
      summary: Migrate a WhatsApp Web session using a one-time code
      operationId: postApiV1Session-migrationMigrate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                code:
                  pattern: ^[A-Z0-9]{8}$
                  type: string
                jid:
                  minLength: 1
                  type: string
                lid:
                  type: string
                registrationId:
                  type: number
                noiseKey:
                  type: object
                  properties:
                    priv:
                      type: string
                    pub:
                      type: string
                  required:
                    - priv
                    - pub
                identityKey:
                  type: object
                  properties:
                    priv:
                      type: string
                    pub:
                      type: string
                  required:
                    - priv
                    - pub
                account:
                  type: object
                  properties:
                    details:
                      type: string
                    accountSignatureKey:
                      type: string
                    accountSignature:
                      type: string
                    deviceSignature:
                      type: string
                  required:
                    - details
                    - accountSignatureKey
                    - accountSignature
                    - deviceSignature
                platform:
                  type: string
                pushName:
                  type: string
                businessName:
                  type: string
              required:
                - code
                - jid
                - registrationId
                - noiseKey
                - identityKey
                - account
          multipart/form-data:
            schema:
              type: object
              properties:
                code:
                  pattern: ^[A-Z0-9]{8}$
                  type: string
                jid:
                  minLength: 1
                  type: string
                lid:
                  type: string
                registrationId:
                  type: number
                noiseKey:
                  type: object
                  properties:
                    priv:
                      type: string
                    pub:
                      type: string
                  required:
                    - priv
                    - pub
                identityKey:
                  type: object
                  properties:
                    priv:
                      type: string
                    pub:
                      type: string
                  required:
                    - priv
                    - pub
                account:
                  type: object
                  properties:
                    details:
                      type: string
                    accountSignatureKey:
                      type: string
                    accountSignature:
                      type: string
                    deviceSignature:
                      type: string
                  required:
                    - details
                    - accountSignatureKey
                    - accountSignature
                    - deviceSignature
                platform:
                  type: string
                pushName:
                  type: string
                businessName:
                  type: string
              required:
                - code
                - jid
                - registrationId
                - noiseKey
                - identityKey
                - account
          text/plain:
            schema:
              type: object
              properties:
                code:
                  pattern: ^[A-Z0-9]{8}$
                  type: string
                jid:
                  minLength: 1
                  type: string
                lid:
                  type: string
                registrationId:
                  type: number
                noiseKey:
                  type: object
                  properties:
                    priv:
                      type: string
                    pub:
                      type: string
                  required:
                    - priv
                    - pub
                identityKey:
                  type: object
                  properties:
                    priv:
                      type: string
                    pub:
                      type: string
                  required:
                    - priv
                    - pub
                account:
                  type: object
                  properties:
                    details:
                      type: string
                    accountSignatureKey:
                      type: string
                    accountSignature:
                      type: string
                    deviceSignature:
                      type: string
                  required:
                    - details
                    - accountSignatureKey
                    - accountSignature
                    - deviceSignature
                platform:
                  type: string
                pushName:
                  type: string
                businessName:
                  type: string
              required:
                - code
                - jid
                - registrationId
                - noiseKey
                - identityKey
                - account
      responses:
        '200':
          description: Resposta bem-sucedida
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API Key para autenticação. Formato: <API_KEY>'

````